Package be.cin.nip.async.business

# Class GenericResponse

java.lang.Object
be.cin.nip.async.business.GenericResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:40+02:00", comments="JAXB RI v4.0.5") public class GenericResponse extends Object implements Serializable

Java class for GenericResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenericResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}CareReceiverId"/>
             <element name="insRequest" type="{urn:be:cin:mycarenet:1.0:carenet:types}InsurabilityRequestDetailType"/>
             <element name="ExtendedInformation" type="{urn:be:cin:nip:async:business}SamlAttributeType" minOccurs="0"/>
             <choice>
               <sequence>
                 <element name="MessageFault" type="{urn:be:cin:mycarenet:1.0:carenet:types}MessageFaultType" minOccurs="0"/>
               </sequence>
               <sequence>
                 <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}CareReceiverDetail"/>
                 <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}InsurabilityResponseDetail"/>
               </sequence>
             </choice>
           </sequence>
           <attribute name="recordInputReference" type="{urn:be:cin:mycarenet:1.0:carenet:types}MessageReferenceType" />
           <attribute name="recordOutputReference" type="{urn:be:cin:mycarenet:1.0:carenet:types}MessageReferenceType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenericResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CareReceiverDetailType`
  `getCareReceiverDetail()`
  Some detailed information about the care receiver.
  `CareReceiverId`
  `getCareReceiverId()`
  The identification of the care receiver.
  `SamlAttributeType`
  `getExtendedInformation()`
  Gets the value of the extendedInformation property.
  `InsurabilityRequestDetail`
  `getInsRequest()`
  The same data as the request.
  `InsurabilityResponseDetail`
  `getInsurabilityResponseDetail()`
  The details of the insurability response.
  `MessageFaultType`
  `getMessageFault()`
  Contains the error that occurred and a reference to the field that contains the error
  `String`
  `getRecordInputReference()`
  Gets the value of the recordInputReference property.
  `String`
  `getRecordOutputReference()`
  Gets the value of the recordOutputReference property.
  `void`
  `setCareReceiverDetail(CareReceiverDetailType value)`
  Sets the value of the careReceiverDetail property.
  `void`
  `setCareReceiverId(CareReceiverId value)`
  Sets the value of the careReceiverId property.
  `void`
  `setExtendedInformation(SamlAttributeType value)`
  Sets the value of the extendedInformation property.
  `void`
  `setInsRequest(InsurabilityRequestDetail value)`
  Sets the value of the insRequest property.
  `void`
  `setInsurabilityResponseDetail(InsurabilityResponseDetail value)`
  Sets the value of the insurabilityResponseDetail property.
  `void`
  `setMessageFault(MessageFaultType value)`
  Sets the value of the messageFault property.
  `void`
  `setRecordInputReference(String value)`
  Sets the value of the recordInputReference property.
  `void`
  `setRecordOutputReference(String value)`
  Sets the value of the recordOutputReference property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenericResponse

    public GenericResponse()

- ## Method Details

  - ### getCareReceiverId

    public CareReceiverId getCareReceiverId()
    The identification of the care receiver.
    Returns:
      possible object is `CareReceiverId`

  - ### setCareReceiverId

    public void setCareReceiverId(CareReceiverId value)
    Sets the value of the careReceiverId property.
    Parameters:
      `value` - allowed object is `CareReceiverId`
    See Also:
      - `getCareReceiverId()`

  - ### getInsRequest

    public InsurabilityRequestDetail getInsRequest()
    The same data as the request.
    Returns:
      possible object is `InsurabilityRequestDetail`

  - ### setInsRequest

    public void setInsRequest(InsurabilityRequestDetail value)
    Sets the value of the insRequest property.
    Parameters:
      `value` - allowed object is `InsurabilityRequestDetail`
    See Also:
      - `getInsRequest()`

  - ### getExtendedInformation

    public SamlAttributeType getExtendedInformation()
    Gets the value of the extendedInformation property.
    Returns:
      possible object is `SamlAttributeType`

  - ### setExtendedInformation

    public void setExtendedInformation(SamlAttributeType value)
    Sets the value of the extendedInformation property.
    Parameters:
      `value` - allowed object is `SamlAttributeType`

  - ### getCareReceiverDetail

    public CareReceiverDetailType getCareReceiverDetail()
    Some detailed information about the care receiver.
    Returns:
      possible object is `CareReceiverDetailType`

  - ### setCareReceiverDetail

    public void setCareReceiverDetail(CareReceiverDetailType value)
    Sets the value of the careReceiverDetail property.
    Parameters:
      `value` - allowed object is `CareReceiverDetailType`
    See Also:
      - `getCareReceiverDetail()`

  - ### getInsurabilityResponseDetail

    public InsurabilityResponseDetail getInsurabilityResponseDetail()
    The details of the insurability response.
    Returns:
      possible object is `InsurabilityResponseDetail`

  - ### setInsurabilityResponseDetail

    public void setInsurabilityResponseDetail(InsurabilityResponseDetail value)
    Sets the value of the insurabilityResponseDetail property.
    Parameters:
      `value` - allowed object is `InsurabilityResponseDetail`
    See Also:
      - `getInsurabilityResponseDetail()`

  - ### getMessageFault

    public MessageFaultType getMessageFault()
    Contains the error that occurred and a reference to the field that contains the error
    Returns:
      possible object is `MessageFaultType`

  - ### setMessageFault

    public void setMessageFault(MessageFaultType value)
    Sets the value of the messageFault property.
    Parameters:
      `value` - allowed object is `MessageFaultType`
    See Also:
      - `getMessageFault()`

  - ### getRecordInputReference

    public String getRecordInputReference()
    Gets the value of the recordInputReference property.
    Returns:
      possible object is `String`

  - ### setRecordInputReference

    public void setRecordInputReference(String value)
    Sets the value of the recordInputReference property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRecordOutputReference

    public String getRecordOutputReference()
    Gets the value of the recordOutputReference property.
    Returns:
      possible object is `String`

  - ### setRecordOutputReference

    public void setRecordOutputReference(String value)
    Sets the value of the recordOutputReference property.
    Parameters:
      `value` - allowed object is `String`